> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getBundleStatuses

> Kiểm tra trạng thái của các gói Jito đã gửi. Trả về trạng thái xác nhận, slot và chữ ký giao dịch.

Trả về trạng thái của các gói đã gửi. Nếu một gói chưa được ghi nhận hoặc không tìm thấy, phương thức sẽ trả về `null`.

## Điểm cuối

```
POST https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY
```

## Yêu cầu

<ParamField body="jsonrpc" type="string" required>
  `"2.0"`
</ParamField>

<ParamField body="id" type="number" required>
  Mã định danh yêu cầu.
</ParamField>

<ParamField body="method" type="string" required>
  `"getBundleStatuses"`
</ParamField>

<ParamField body="params[0]" type="array[string]" required>
  Mảng chứa tối đa 5 ID gói cần kiểm tra.
</ParamField>

## Ví dụ về yêu cầu

```bash theme={"system"}
curl "https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY" \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBundleStatuses",
    "params": [
      [
        "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d"
      ]
    ]
  }'
```

## Phản hồi

<ResponseField name="result.context.slot" type="number">
  Slot mà tại đó yêu cầu được xử lý.
</ResponseField>

<ResponseField name="result.value" type="array">
  Mảng các đối tượng trạng thái gói. `null` đối với các gói không tìm thấy.
</ResponseField>

<ResponseField name="result.value[].bundle_id" type="string">
  ID gói.
</ResponseField>

<ResponseField name="result.value[].transactions" type="array[string]">
  Các chữ ký giao dịch được mã hóa Base-58 trong gói.
</ResponseField>

<ResponseField name="result.value[].slot" type="number">
  Slot mà gói được xử lý.
</ResponseField>

<ResponseField name="result.value[].confirmation_status" type="string">
  `"processed"`, `"confirmed"` hoặc `"finalized"`.
</ResponseField>

<ResponseField name="result.value[].err" type="object">
  Thông tin lỗi, nếu có.
</ResponseField>

```json theme={"system"}
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 242806119
    },
    "value": [
      {
        "bundle_id": "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d",
        "transactions": [
          "3bC2M9fiACSjkTXZDgeNAuQ4ScTsdKGwR42ytFdhUvikqTmBheUxfsR1fDVsM5ADCMMspuwGkdm1uKbU246x5aE3",
          "8t9hKYEYNbLvNqiSzP96S13XF1C2f1ro271Kdf7bkZ6EpjPLuDff1ywRy4gfaGSTubsM2FeYGDoT64ZwPm1cQUt"
        ],
        "slot": 242804011,
        "confirmation_status": "finalized",
        "err": {
          "Ok": null
        }
      }
    ]
  },
  "id": 1
}
```

## Xem thêm

* [sendBundle](/docs/vi/api-reference/sender/sendbundle) — gửi các gói
* [Gói Jito qua Helius](/docs/vi/sending-transactions/send-bundle) — hướng dẫn đầy đủ
